Subject: Re: [bug#54396] [PATCH] [WIP] gnu: python-notmuch2: Fix build.

From: Tanguy LE CARROUR <[email-masked]>
Date: Wed, 16 Mar 2022 08:57:40 +0100

Hi Maxime,

Quoting Maxime Devos (2022-03-15 17:04:19)
> Tanguy Le Carrour schreef op di 15-03-2022 om 10:38 [+0100]:
> > When I add `#:use-module (gnu packages commencement)`
> 
> From (gnu packages commencement):
> 
> > ;;; To avoid circular dependencies, this module should not be
> > imported
> > ;;; directly from anywhere.
> 
> if it still needs to be used, you could look at how gnu-build-system
> sort-of imports it anyway, indirectly.

A well-deserved RT*M! :-)
Thanks for pointing at! In my defence, I still haven't figured out how
to configure "go to definition" in my Emacs (works for Python, though!),
so navigating the code is still a bit painful.
…Yeah, I know, it's a lame excuse! ^_^'

Regards,

-- 
Tanguy